Debian Bug report logs - #386967
RM: convertfs -- RoM; orphaned, unsuitable for release

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Guus Sliepen <guus@debian.org>

Date: Mon, 11 Sep 2006 11:33:14 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#386967; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: convertfs -- in-place filesystem conversion
Date: Mon, 11 Sep 2006 13:15:42 +0200
Package: wnpp
Severity: normal

I intend to orphan the convertfs package.

The package description is:
 This simple toolset allows you to change type of file system in the lack of
 backup space.  You can convert from virtually any filesystem type to virtually
 any one as long as they are both block-oriented and supported by Linux for
 read/write, and as long as primary filesystem supports sparse files.

This is a very nice tool, however it has a few problems that I don't
have time to fix that make it unsuitable for a Debian release:

- When an error happens during conversion, there is a change that you
  lose a lot of data. This is a fault in the convertfs script in some
  cases, but there are also some situations where low-level disk errors
  don't get propagated to the top filesystem.

- The final step in converting a filesystem, reordering the blocks of
  the target filesystem, is apparently programmed in a very inefficient
  way, and it can take weeks for large filesystems to complete
  convertfs.

If you want to adopt this package, you need to do some extensive testing
and hacking in the code. If noone steps up in a month, I'll ask for its
removal.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.17.11
Locale: LANG=, LC_CTYPE= (charmap=ANSI_X3.4-1968)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#386967; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Guus Sliepen <guus@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 386967@bugs.debian.org (full text, mbox):

From: Guus Sliepen <guus@debian.org>
To: control@bugs.debian.org
Cc: 386967@bugs.debian.org
Subject: R: convertfs -- in-place filesystem conversion
Date: Sun, 15 Oct 2006 13:21:33 +0200
[Message part 1 (text/plain, inline)]
reassign 386967 ftp.debian.org
retitle 386967 R: convertfs -- in-place filesystem conversion
thanks

This package is unsuitable for release, has been orphaned a month ago,
noone has stepped up to adopt it. I request it be removed from the
archives.

-- 
Met vriendelijke groet / with kind regards,
      Guus Sliepen <guus@debian.org>
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Guus Sliepen <guus@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Guus Sliepen <guus@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam D. Barratt <debian-bts@adam-barratt.org.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Guus Sliepen <guus@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 386967-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 386967-close@bugs.debian.org
Cc: convertfs@packages.debian.org, convertfs@packages.qa.debian.org
Subject: Bug#386967: fixed
Date: Mon, 25 Dec 2006 00:02:00 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

 convertfs | 20050113-2 | source, alpha, amd64, arm, hppa, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 386967@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Joerg Jaspert (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 14:25:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:38:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.